using System;
using System.Windows.Forms;
using System.IO;

namespace NetFrameworkSample
{
    internal static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            if (File.Exists(System.Windows.Forms.Application.StartupPath + "\\Genji.dll") == false)
            {
                MessageBox.Show(System.Windows.Forms.Application.StartupPath + "\\Genji.dllが見つかりません.API DLLを EXEと同じフォルダにコピーしてください");
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }
    }
}
